<template>
  <v-card class="mx-auto box-video" flat :to="uri">
    <v-img class="white--text align-end box-img" :src="img"/>

    <v-card-text class="infor">
      <div class="title">{{name}}</div>
      <div class="category">{{(category ? category : '')}}</div>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  name: 'IndexBox',
  props: {
    img: String,
    uri: String,
    name: String,
    category: String
  }
}
</script>

<style>
  .box-video .infor{
    color: #757575 !important;
  }

  .box-video .title{
    font-size: 18px !important;
    font-weight: 400;
  }

  .box-video .category{
    font-weight: 300;
  }

  .box-img::before{
    content: "\F040D";
    font: normal normal normal 24px/1 "Material Design Icons";
    position: absolute;
    top:45%;
    left: 45%;
    color: #EF5350;
  }
</style>
